Subject: Re: [bug#77802] [PATCH] gnu: Add pay-respects.

From: Hilton Chain <[email-masked]>
Date: Wed, 16 Apr 2025 13:36:19 +0800

On Tue, 15 Apr 2025 01:49:39 +0800,
Gabriel Santos wrote:
>
> >So I should:
> >
> >1. Import the patch, with something like mumi.
> >2. Run "guix import -i" again.
> >3. Check the source with "tar xf $(guix build --source pay-respects) -C /tmp"
> >4. Check the sources of the dependencies too.
> >
> >Right?
>
> I tried to build the dependencies following the instructions in
> the Cookbook:
>
> >./pre-inst-env guix build --expression=('@@@@ (gnu packages rust-crates) rust-askama-0.13.0)'
>
> But got an error saying that "@@@@" was an unbound variable.

‘@’ begins a Texinfo markup, ‘@@’ in Texinfo means a literal ‘@’.

For what @@ means, lookup it in Guile manual.

> But then I found this cargo-clone[1] subcommand
> (got it from Nix) that seems to do the job, because the downloaded
> sources have ".cargo_vcs_info.json" and other files that
> indicates the crates.io origin.
>
> From my evaluation, the only ones that could be bundling
> sources are "[email-masked]" (claims to include tests from
> "toml-test", inside tests/README.md, but seems to be just
> a case of copying existing code) and "rust-rust-i18n-3.1.4"
> (has a build.rs file, but doesn't seem to actually be bundling
> anything, I don't see another package here).
>
> [1] <https://github.com/JanLikar/cargo-clone>